|  | Home

# QtStringPropertyManager Class Reference

The QtStringPropertyManager provides and manages QString properties. More...

     #include <QtStringPropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

## Public Functions

| QtStringPropertyManager ( QObject * parent = 0 )
| ~QtStringPropertyManager ()
QRegExp | regExp ( const QtProperty * property ) const
QString | value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

## Public Slots

void | setRegExp ( QtProperty * property, const QRegExp & regExp )
void | setValue ( QtProperty * property, const QString & value )

- 1 public slot inherited from QObject

## Signals

void | regExpChanged ( QtProperty * property, const QRegExp & regExp )
void | valueChanged ( QtProperty * property, const QString & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

## Reimplemented Protected Functions

virtual void | initializeProperty ( QtProperty * property )
virtual void | uninitializeProperty ( QtProperty * property )
virtual QString | valueText ( const QtProperty * property ) const

- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtStringPropertyManager provides and manages QString properties.

A string property's value can be retrieved using the value() function, and set using the setValue() slot.

The current value can be checked against a regular expression. To set the regular expression use the setRegExp() slot, use the regExp() function to retrieve the currently set expression.

In addition, QtStringPropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes, and the regExpChanged() signal which is emitted whenever such a property changes its currently set regular expression.

See also QtAbstractPropertyManager and QtLineEditFactory.

## Member Function Documentation

### QtStringPropertyManager::QtStringPropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtStringPropertyManager::~QtStringPropertyManager ()

Destroys this manager, and all the properties it has created.

### void QtStringPropertyManager::initializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::initializeProperty().

### QRegExp QtStringPropertyManager::regExp ( const QtProperty * property ) const

Returns the given property's currently set regular expression.

If the given property is not managed by this manager, this function returns an empty expression.

See also setRegExp().

### void QtStringPropertyManager::regExpChanged ( QtProperty * property, const QRegExp & regExp ) `[signal]`

This signal is emitted whenever a property created by this manager changes its currenlty set regular expression, passing a pointer to the property and the new regExp as parameters.

See also setRegExp().

### void QtStringPropertyManager::setRegExp ( QtProperty * property, const QRegExp & regExp ) `[slot]`

Sets the regular expression of the given property to regExp.

See also regExp(), setValue(), and regExpChanged().

### void QtStringPropertyManager::setValue ( QtProperty * property, const QString & value ) `[slot]`

Sets the value of the given property to value.

If the specified value doesn't match the given property's regular expression, this function does nothing.

See also value(), setRegExp(), and valueChanged().

### void QtStringPropertyManager::uninitializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::uninitializeProperty().

### QString QtStringPropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns an empty string.

See also setValue().

### void QtStringPropertyManager::valueChanged ( QtProperty * property, const QString & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

See also setValue().

### QString QtStringPropertyManager::valueText ( const QtProperty * property ) const `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::valueText().